Bug 77449 - [MAINT-UPD] mail/dspam: update to 3.2.6 snapshot 20050128.1500
Summary: [MAINT-UPD] mail/dspam: update to 3.2.6 snapshot 20050128.1500
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-02-13 12:50 UTC by Ion-Mihai " IOnut " Tetcu
Modified: 2005-02-15 08:16 UTC (History)
0 users

See Also:


Attachments
dspam-3.2.6_to_20050128.1500.diff (4.98 KB, patch)
2005-02-13 12:50 UTC, Ion-Mihai " IOnut " Tetcu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ion-Mihai " IOnut " Tetcu 2005-02-13 12:50:18 UTC

Update to 20050128.1500 snapshot
- disable ORACLE DB back-end; it's unmaintained and hasn't work on FreeBSD
- drop USE_GNOME as per PH 6.6
- drop merged up-stream files/patch-dspam.c
- kinldy ask non-maintainer-approved commits to be logged in files/UPDATING if they contain user-visible changes 
( like the change of POSTGRESQL* to POSTGRESQL because of "Split the postgresql ports into a server and a client part" )

How-To-Repeat: 

apply attached path 
please don't forget to delete files/patch-dspam.c
Comment 1 Ion-Mihai " IOnut " Tetcu 2005-02-13 13:00:55 UTC
Forgotten in the patch:

--- dspam.cvs/pkg-plist Mon Dec 27 21:09:44 2004
+++ dspam/pkg-plist     Sun Feb 13 14:59:30 2005
@@ -24,6 +24,7 @@
 lib/libdspam.so
 lib/libdspam.so.6
 libdata/pkgconfig/dspam.pc
+@unexec rmdir %B 2>/dev/null || true
 %%PORTDOCS%%%%DOCSDIR%%/CHANGELOG
 %%PORTDOCS%%%%DOCSDIR%%/LICENSE
 %%PORTDOCS%%%%DOCSDIR%%/README


-- 
IOnut
Unregistered ;) FreeBSD "user"
Comment 2 Volker Stolz freebsd_committer 2005-02-14 16:29:27 UTC
>  libdata/pkgconfig/dspam.pc
> +@unexec rmdir %B 2>/dev/null || true

Are you sure? There's already
   @unexec rmdir %D/libdata/pkgconfig 2>/dev/null || true
below.

Volker
Comment 3 Ion-Mihai " IOnut " Tetcu 2005-02-14 16:39:06 UTC
On Mon, 14 Feb 2005 17:29:27 +0100
"Volker Stolz" <vs@freebsd.org> wrote:

> >  libdata/pkgconfig/dspam.pc
> > +@unexec rmdir %B 2>/dev/null || true
> 
> Are you sure? There's already
>    @unexec rmdir %D/libdata/pkgconfig 2>/dev/null || true
> below.

uh, then get rid of the later (not that's much difference, but the first
it taken straight from PH).



-- 
IOnut
Unregistered ;) FreeBSD "user"
Comment 4 stolz 2005-02-14 17:11:11 UTC
I wish you'd stop doing fishy things in the plist :)

On installing the package (pkg_add -v):
extract: CWD to /
extract: execute '/sbin/ldconfig -m //lib'
ldconfig: warning: //lib: No such file or directory
extract: CWD to .
Running mtree for dspam-3.2.6.20050128.1500..

On deinstallation:
Change working directory to /
Delete directory ///var/db/dspam
Execute '/sbin/ldconfig -R'
Execute 'if [ -f //info/dir ]; then if sed -e '1,/Menu:/d' //info/dir | grep -q '^[*] '; then true; else rm //info/dir; fi; fi'
Change working directory to .

Though you are not installing any INFO-files (this got automatically
generated) it shows something breaks in the %D handling...
-- 
http://www-i2.informatik.rwth-aachen.de/stolz/ *** PGP *** S/MIME
Comment 5 Ion-Mihai " IOnut " Tetcu 2005-02-14 17:30:00 UTC
On Mon, 14 Feb 2005 18:11:11 +0100
Volker Stolz <stolz@i2.informatik.rwth-aachen.de> wrote:

> I wish you'd stop doing fishy things in the plist :)
> 
> On installing the package (pkg_add -v):
> extract: CWD to /
> extract: execute '/sbin/ldconfig -m //lib'
> ldconfig: warning: //lib: No such file or directory

?? I don't see this one.

> extract: CWD to .
> Running mtree for dspam-3.2.6.20050128.1500..
> 
> On deinstallation:
> Change working directory to /
> Delete directory ///var/db/dspam

This one I don't understand, I know about it, but I haven't had enough
time to look at what pkg_add / pkg_create does. (%%DSPAM_HOME%%)

> Execute '/sbin/ldconfig -R'
> Execute 'if [ -f //info/dir ]; then if sed -e '1,/Menu:/d' //info/dir | grep -q '^[*] '; then true; else rm //info/dir; fi; fi'
> Change working directory to .
> 
> Though you are not installing any INFO-files (this got automatically
> generated) it shows something breaks in the %D handling...

%%DSPAM_HOME%% is the problem. But I can't live without it. As for
INFO-files, I don't know what is happening dspam had none.




-- 
IOnut
Unregistered ;) FreeBSD "user"
Comment 6 Volker Stolz freebsd_committer 2005-02-15 08:16:08 UTC
State Changed
From-To: open->closed

Committed, thanks!